Home > Element Reference : Implementation

Contents

### Implementation

Used to contain property and method declarations for the element.

More information about Implementation

#### Attributes:

Attributes inherited from Element

class

The style class of the xbl:implementation. Multiple classes may be specified by separating them with spaces.

id

A unique identifier so that you can identify the xbl:implementation with. You can use this as a parameter to getElementById and other DOM functions and to reference the element in style sheets.

implements

Set this property to an XPCOM interface that the binding implements. Normally, you would not set this property.

Copyright (C) 1999 - 2002 XULPlanet.com